# Uses of Class
org.eclipse.swt.browser.Browser

Packages that use Browser
Package
Description
org.eclipse.swt.browser
SWT Browser widget.

## Uses of Browser in org.eclipse.swt.browser

Fields in org.eclipse.swt.browser declared as Browser
Modifier and Type
Field
Description
`Browser`
WindowEvent.`browser`
`Browser` provided by the application.
Methods in org.eclipse.swt.browser that return Browser
Modifier and Type
Method
Description
`Browser`
BrowserFunction.`getBrowser()`
Returns the Browser whose pages can invoke this BrowserFunction.
Constructors in org.eclipse.swt.browser with parameters of type Browser
Modifier
Constructor
Description
``
`BrowserFunction(Browser browser, String name)`
Constructs a new instance of this class, which will be invokable by javascript running in the specified Browser.
``
`BrowserFunction(Browser browser, String name, boolean top, String[] frameNames)`
Constructs a new instance of this class, which will be invokable by javascript running in the specified Browser.